# 新增指标数据

delete  FROM measure_config_half_year  where year = 2025 ;
# 1 先复制上一年的所有指标数据

INSERT INTO measure_config_half_year
SELECT 
    -- 列出所有其他字段保持不变
    measure_id, 
    measure_name,
    ori_measure_id,
		ori_measure_name,
		delete_status,
		measure_vector,
		distance,
    -- 仅修改year字段为2025
    2025 AS year
FROM measure_config_half_year
WHERE year = 2024;


# 先修改 ori_measure_name 中上一年2024的 改为2025
UPDATE measure_config_half_year
SET ori_measure_name = REPLACE(ori_measure_name, '2024', '2025')
WHERE ori_measure_name LIKE '%2024%' and `year` = 2025;
 
 
 # 先修改 ori_measure_name 中上一年2023的 改为2024
UPDATE measure_config_half_year
SET ori_measure_name = REPLACE(ori_measure_name, '2023', '2024')
WHERE ori_measure_name LIKE '%2023%' and `year` = 2025;

SELECT * from measure_config_half_year where `year` = 2025 and  ori_measure_name LIKE '%2025%';